Package org.jcsp.net.dynamic

# Interface OutputReconnectionManager

All Superinterfaces:
  `Serializable`

public interface OutputReconnectionManager extends Serializable
Writing end of a migratable channel. The underlying channel end can be obtained by a call to `getOutputChannel` and used like any other channel. Before transfering the channel end to another node the `prepareToMove()` method must be called.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`NetChannelOutput`
`getOutputChannel()`
Returns the underlying channel output end.
`void`
`prepareToMove()`
Prepares the channel end for transfer to another node.

## Method Details

### getOutputChannel

NetChannelOutput getOutputChannel()
Returns the underlying channel output end.

### prepareToMove

void prepareToMove()
Prepares the channel end for transfer to another node.